<? session_start();
include("config.php");
include("conexao_sinsweb.php");

if (($_SESSION[LOG]!='ON') && ($_POST[login] !=''))	
	{VerificaLogon();}
else	
	{header("Location:senhaadministracao.php");}

if ($_SESSION[LOG]=='ON')	
{header("Location:".$_GET[destino]);}


if ($_SESSION[cnpj]=="")
	{
	$_SESSION[cnpj]=$_GET[cnpj];
	BuscaCNPJ();
	header("Location:gerar.php");
	};

function VerificaLogon()
	{
	$query=mysql_query("SELECT *
						FROM usuario
						WHERE usuario.nome = '$_POST[login]' and usuario.senha ='$_POST[password]'")
		or die (header("Location:restrito.php"));
		
    $num_rows = mysql_num_rows($query);
    if($num_rows>=1)
  	{
		$_SESSION[NOME_USUARIO]=mysql_result($query,$i,"usuario.nome");
		$_SESSION[LOG]='ON';
		header("Location:".$_GET[destino]);
		}
   	else
	{header("Location:restrito.php");}
		
}


function BuscaCNPJ()
	{
	$query=mysql_query("SELECT cnae.atividade_principal, empresa.*
						FROM empresa
						LEFT join cnae on (empresa.cnae = cnae.cod_cnae)
						WHERE empresa.cnpj ='$_SESSION[cnpj]'");
    $num_rows = mysql_num_rows($query);

    if($num_rows>=1)
 	   {
			$_SESSION[tipo]=mysql_result($query,$i,"empresa.jf");
			$_SESSION[nome]=mysql_result($query,$i,"empresa.nome");
			$_SESSION[endereco]=mysql_result($query,$i,"empresa.endereco");
			$_SESSION[numero]=mysql_result($query,$i,"empresa.numero");
			$_SESSION[complemento]=mysql_result($query,$i,"empresa.complemento");
			$_SESSION[bairro]=mysql_result($query,$i,"empresa.bairro");
			$_SESSION[cep]=mysql_result($query,$i,"empresa.cep");
			$_SESSION[cidade]=mysql_result($query,$i,"empresa.cidade");
			$_SESSION[uf]=mysql_result($query,$i,"empresa.uf");
			$_SESSION[telefone]=mysql_result($query,$i,"empresa.telefone");
			$_SESSION[cnae]=mysql_result($query,$i,"empresa.cnae");
			$_SESSION[atividade_principal]=mysql_result($query,$i,"atividade_principal");
	   }
}

?>